Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Functions
logger.h File Reference

## Classes
class | Logger
| This is the central class in the log4cxx package. More...

## Namespaces
| log4cxx
| log4cxx::helpers
| log4cxx::spi

## Macros
#define | LOG4CXX_UNLIKELY(expr) expr
| Provides optimization hint to the compiler to optimize for the expression being false. More...
#define | LOG4CXX_LOG(logger, level, message)
| Logs a message to a specified logger with a specified level. More...
#define | LOG4CXX_LOGLS(logger, level, message)
| Logs a message to a specified logger with a specified level. More...
#define | LOG4CXX_DEBUG(logger, message)
| Logs a message to a specified logger with the DEBUG level. More...
#define | LOG4CXX_TRACE(logger, message)
| Logs a message to a specified logger with the TRACE level. More...
#define | LOG4CXX_INFO(logger, message)
| Logs a message to a specified logger with the INFO level. More...
#define | LOG4CXX_WARN(logger, message)
| Logs a message to a specified logger with the WARN level. More...
#define | LOG4CXX_ERROR(logger, message)
| Logs a message to a specified logger with the ERROR level. More...
#define | LOG4CXX_ASSERT(logger, condition, message)
| Logs a error if the condition is not true. More...
#define | LOG4CXX_FATAL(logger, message)
| Logs a message to a specified logger with the FATAL level. More...
#define | LOG4CXX_L7DLOG(logger, level, key)
| Logs a localized message with no parameter. More...
#define | LOG4CXX_L7DLOG1(logger, level, key, p1)
| Logs a localized message with one parameter. More...
#define | LOG4CXX_L7DLOG2(logger, level, key, p1, p2)
| Logs a localized message with two parameters. More...
#define | LOG4CXX_L7DLOG3(logger, level, key, p1, p2, p3)
| Logs a localized message with three parameters. More...

## Functions
| LOG4CXX_PTR_DEF (LoggerRepository)
| LOG4CXX_PTR_DEF (LoggerFactory)
| LOG4CXX_PTR_DEF (Logger)
| smart pointer to a Logger class More...
| LOG4CXX_LIST_DEF (LoggerList, LoggerPtr)